Bug 144248 - net/asterisk16 conflicts with linuxthreads
Summary: net/asterisk16 conflicts with linuxthreads
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-24 01:00 UTC by Vadim Fedorenko
Modified: 2011-02-20 00:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadim Fedorenko 2010-02-24 01:00:11 UTC
Asterisk SIP server makes segmentation fault on start when built with linuxthreads installed. Tested on asterisk 1.4 and 1.6.0.21 from ports and 1.6.2.4 from official site. On 1.6.0.21 core dump shows this:

Reading symbols from /usr/local/lib/asterisk/modules/pbx_config.so...(no debugging symbols found)...done. 
Loaded symbols for /usr/local/lib/asterisk/modules/pbx_config.so 
Reading symbols from /libexec/ld-elf.so.1...(no debugging symbols found)...done. 
Loaded symbols for /libexec/ld-elf.so.1 
#0  0x284beb1a in __pthread_unlock () from /usr/local/lib/liblthread.so.6 

after deinstalling linuxthreads and recompiling of asterisk without linuxthreads everything works well.

Fix: 

deinstall linuxthreads port
How-To-Repeat: 1. Install linuxthreads (cd /usr/ports/devel/linuxthreads; make install)
2. Install asterisk 16  (cd /usr/ports/net/asterisk16; make install)
3. Try to run asterisk (asterisk -c)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-02-24 02:32:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sobomax

Over to maintainer(s).
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-09-17 09:35:38 UTC
Responsible Changed
From-To: sobomax->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Florian Smeets freebsd_committer 2011-01-02 12:56:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Take.
Comment 4 dfilter service freebsd_committer 2011-02-20 00:40:20 UTC
flo         2011-02-20 00:40:14 UTC

  FreeBSD ports repository

  Modified files:
    net/asterisk         Makefile 
    net/asterisk16       Makefile 
  Log:
  - register build conflict with linuxthreads [1]
  - switch to CONFLICTS_INSTALL for other asterisk ports
  
  PR:             ports/144248 [1]
  Submitted by:   Vadim Fedorenko <junk@fromru.com> [1]
  
  Revision  Changes    Path
  1.143     +2 -1      ports/net/asterisk/Makefile
  1.148     +2 -1      ports/net/asterisk16/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2011-02-20 00:42:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!